﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{DE7B2CDD-2392-4769-8F2F-9D1072644B4F}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>SecondMonitor.Telemetry.TelemetryApplication</RootNamespace>
    <AssemblyName>TelemetryApplication</AssemblyName>
    <TargetFrameworkVersion>v4.7.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
    <CodeAnalysisRuleSet>..\..\SecondMonitor.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\..\Deployment\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <CodeAnalysisRuleSet>..\..\SecondMonitor.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\..\Deployment\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <CodeAnalysisRuleSet>..\..\SecondMonitor.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="EPPlus, Version=4.5.3.2, Culture=neutral, PublicKeyToken=ea159fdaa78159a1, processorArchitecture=MSIL">
      <HintPath>..\..\packages\EPPlus.4.5.3.2\lib\net40\EPPlus.dll</HintPath>
    </Reference>
    <Reference Include="GongSolutions.WPF.DragDrop, Version=2.0.0.0, Culture=neutral, PublicKeyToken=91f1945125b7a587">
      <HintPath>..\..\packages\gong-wpf-dragdrop.2.3.2\lib\net47\GongSolutions.WPF.DragDrop.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=12.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed">
      <HintPath>..\..\packages\Newtonsoft.Json.12.0.2\lib\net45\Newtonsoft.Json.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Ninject, Version=3.3.4.0, Culture=neutral, PublicKeyToken=c7192dc5380945e7">
      <HintPath>..\..\packages\Ninject.3.3.4\lib\net45\Ninject.dll</HintPath>
    </Reference>
    <Reference Include="Ninject.Extensions.NamedScope, Version=3.3.0.0, Culture=neutral, PublicKeyToken=c7192dc5380945e7, processorArchitecture=MSIL">
      <HintPath>..\..\packages\Ninject.Extensions.NamedScope.3.3.0\lib\net45\Ninject.Extensions.NamedScope.dll</HintPath>
    </Reference>
    <Reference Include="NLog, Version=4.0.0.0, Culture=neutral, PublicKeyToken=5120e14c03d0593c">
      <HintPath>..\..\packages\NLog.4.7.10\lib\net45\NLog.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="OxyPlot, Version=2.1.0.0, Culture=neutral, PublicKeyToken=638079a8f0bd61e9">
      <HintPath>..\..\packages\OxyPlot.Core.2.1.0-unstable.1461\lib\net45\OxyPlot.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="PresentationCore" />
    <Reference Include="PresentationFramework" />
    <Reference Include="System" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.IO.Compression" />
    <Reference Include="System.IO.Compression.FileSystem" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.Security" />
    <Reference Include="System.ServiceModel" />
    <Reference Include="System.Transactions" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xaml" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
    <Reference Include="WindowsBase" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="AggregatedCharts\AbstractAggregatedChartProvider.cs" />
    <Compile Include="AggregatedCharts\AbstractTelemetryDataExtractor.cs" />
    <Compile Include="AggregatedCharts\AggregatedChartNames.cs" />
    <Compile Include="AggregatedCharts\Filter\BrakePositionFilter.cs" />
    <Compile Include="AggregatedCharts\Filter\FullThrottleFilter.cs" />
    <Compile Include="AggregatedCharts\Filter\GearTelemetryFilter.cs" />
    <Compile Include="AggregatedCharts\Filter\IGearTelemetryFilter.cs" />
    <Compile Include="AggregatedCharts\Filter\InGearFilter.cs" />
    <Compile Include="AggregatedCharts\Filter\ITelemetryFilter.cs" />
    <Compile Include="AggregatedCharts\Filter\LateralAccFilter.cs" />
    <Compile Include="AggregatedCharts\Filter\LoadedWheelFilter.cs" />
    <Compile Include="AggregatedCharts\Filter\NoBrakeFilter.cs" />
    <Compile Include="AggregatedCharts\Filter\NoClutchFilter.cs" />
    <Compile Include="AggregatedCharts\Filter\NoHorizontalAccelerationFilter.cs" />
    <Compile Include="AggregatedCharts\Filter\NoLateralAccelerationFilter.cs" />
    <Compile Include="AggregatedCharts\Filter\CamberFilter.cs" />
    <Compile Include="AggregatedCharts\Filter\PositiveTorqueFilter.cs" />
    <Compile Include="AggregatedCharts\Filter\SpeedFilter.cs" />
    <Compile Include="AggregatedCharts\Filter\SuspensionVelocityFilter.cs" />
    <Compile Include="AggregatedCharts\Filter\ThrottlePositionFilter.cs" />
    <Compile Include="AggregatedCharts\Filter\IWheelTelemetryFilter.cs" />
    <Compile Include="AggregatedCharts\Histogram\Extractors\CamberHistogramExtractor.cs" />
    <Compile Include="AggregatedCharts\Histogram\Extractors\RideHeightHistogramExtractor.cs" />
    <Compile Include="AggregatedCharts\Histogram\Extractors\SpeedHistogramExtractor.cs" />
    <Compile Include="AggregatedCharts\Histogram\Extractors\TyreLoadHistogramExtractor.cs" />
    <Compile Include="AggregatedCharts\Histogram\Providers\AbstractWheelHistogramProvider.cs" />
    <Compile Include="AggregatedCharts\AggregatedChartKind.cs" />
    <Compile Include="AggregatedCharts\Histogram\Extractors\AbstractWheelHistogramDataExtractor.cs" />
    <Compile Include="AggregatedCharts\Histogram\Extractors\RpmHistogramDataExtractor.cs" />
    <Compile Include="AggregatedCharts\Histogram\Extractors\SuspensionVelocityHistogramDataExtractor.cs" />
    <Compile Include="AggregatedCharts\Histogram\Providers\CamberHistogramProvider.cs" />
    <Compile Include="AggregatedCharts\Histogram\Providers\HistogramBand.cs" />
    <Compile Include="AggregatedCharts\Histogram\Providers\RideHeightHistogramProvider.cs" />
    <Compile Include="AggregatedCharts\Histogram\Providers\RpmHistogramProvider.cs" />
    <Compile Include="AggregatedCharts\Histogram\Providers\SpeedInTurnsHistogramProvider.cs" />
    <Compile Include="AggregatedCharts\Histogram\Providers\TyreLoadHistogramProvider.cs" />
    <Compile Include="AggregatedCharts\IAggregatedChartProvider.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Extractors\AbstractGearFilteredScatterPlotExtractor.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Extractors\AbstractMultiPointScatterPlotExtractor.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Extractors\AbstractScatterPlotExtractor.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\AxisDefinition.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Extractors\AbstractWheelScatterPlotDataExtractor.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Extractors\LatAccelerationToSteeringInputExtractor.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Extractors\SpeedToSuspensionTravelExtractor.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Extractors\WheelSlipExtractor.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Extractors\CamberToLateralGExtractor.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Extractors\HorizontalAccelerationToRideHeightExtractor.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Extractors\LateralAccelerationToRideHeightExtractor.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Extractors\LateralToLongGExtractor.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Extractors\RearRollAngleToFrontRollAngleExtractor.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Extractors\RpmToHorizontalGExtractor.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Extractors\RpmToPowerExtractor.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Extractors\RpmToTorqueExtractor.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Extractors\SpeedToDownforceExtractor.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Extractors\SpeedToLatGAllPointsExtractor.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Extractors\SpeedToLongGAllPointsExtractor.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Extractors\SpeedToHorizontalGExtractor.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Extractors\SpeedToRakeExtractor.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Extractors\SpeedToRideHeightExtractor.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Extractors\TyreLoadToCamberExtractor.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Extractors\TyreLoadToLatGExtractor.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Extractors\TyreLoadToLongGExtractor.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Providers\AbstractGearsChartProvider.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Providers\AbstractStintScatterPlot2YAxisProvider.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Providers\AbstractWheelChartProvider.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Providers\CamberToLateralGChartProvider.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Providers\GenericStintScatterPlotProvider.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Providers\LatAccelerationToSteeringInputProvider.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Providers\LatToLogGProvider.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Providers\PowerCurveProvider.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Providers\RearRollAngleToFrontRollAngleProvider.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Providers\RideHeightToHorizontalAccProvider.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Providers\RideHeightToLateralAccProvider.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Providers\RideHeightToSpeedProvider.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Providers\RpmToHorizontalGChartProvider.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Providers\SpeedToSuspensionTravelProvider.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\ScatterPlotPoint.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Providers\SpeedHorizontalAccelerationChartProvider.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Providers\SpeedToDownforceProvider.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Providers\SpeedToLatGProvider.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Providers\SpeedToLongGProvider.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Providers\SpeedToRakeProvider.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Providers\AbstractStintScatterPlotProvider.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Providers\TractionCircleProvider.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Providers\TyreLoadToCamberProvider.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Providers\TyreLoadToLatGProvider.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Providers\TyreLoadToLongGProvider.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Providers\WheelSlipAccelerationProvider.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Providers\WheelSlipBrakeProvider.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\ScatterPlot.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\ScatterPlot2YAxis.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\ScatterPlotSeries.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Providers\SpeedToRpmChartProvider.cs" />
    <Compile Include="AggregatedCharts\ScatterPlot\Extractors\SpeedToRpmScatterPlotExtractor.cs" />
    <Compile Include="AggregatedCharts\Histogram\Providers\SuspensionVelocityHistogramProvider.cs" />
    <Compile Include="Controllers\AggregatedChart\AggregatedChartsController.cs" />
    <Compile Include="Controllers\AggregatedChart\IAggregatedChartsController.cs" />
    <Compile Include="Controllers\MainWindow\GraphPanel\AggregatedChartProviderFactory.cs" />
    <Compile Include="Controllers\MainWindow\GraphPanel\ChartWithProvider.cs" />
    <Compile Include="Controllers\MainWindow\GraphPanel\ChartWithProviderAndWindow.cs" />
    <Compile Include="Controllers\MainWindow\GraphPanel\SeriesChartFactory.cs" />
    <Compile Include="Controllers\MainWindow\GraphPanel\IWorkspaceAggregatedChartsController.cs" />
    <Compile Include="Controllers\MainWindow\GraphPanel\SeriesChartNames.cs" />
    <Compile Include="Controllers\MainWindow\GraphPanel\WorkspaceAggregatedChartsController.cs" />
    <Compile Include="Controllers\MainWindow\GraphPanel\WorkspacesSeriesChartsController.cs" />
    <Compile Include="Controllers\MainWindow\GraphPanel\IWorkspacesSeriesChartsController.cs" />
    <Compile Include="Controllers\MainWindow\GraphPanel\IGraphViewModelsProvider.cs" />
    <Compile Include="Controllers\MainWindow\IMainWindowController.cs" />
    <Compile Include="Controllers\MainWindow\LapPicker\ILapPickerController.cs" />
    <Compile Include="Controllers\MainWindow\LapPicker\LapPickerController.cs" />
    <Compile Include="Controllers\MainWindow\MainWindowController.cs" />
    <Compile Include="Controllers\MainWindow\MapView\IMapViewController.cs" />
    <Compile Include="Controllers\MainWindow\MapView\MapViewController.cs" />
    <Compile Include="Controllers\MainWindow\MapView\MapViewDriverInfoFacade.cs" />
    <Compile Include="Controllers\MainWindow\Replay\IReplayController.cs" />
    <Compile Include="Controllers\MainWindow\Replay\ReplayController.cs" />
    <Compile Include="Controllers\MainWindow\Snapshot\IMainLapController.cs" />
    <Compile Include="Controllers\MainWindow\Snapshot\ISelectedLapController.cs" />
    <Compile Include="Controllers\MainWindow\Snapshot\ISnapshotSectionController.cs" />
    <Compile Include="Controllers\MainWindow\Snapshot\SnapshotSectionController.cs" />
    <Compile Include="Controllers\MainWindow\Workspace\IWorkspaceController.cs" />
    <Compile Include="Controllers\MainWindow\Workspace\WorkspaceController.cs" />
    <Compile Include="Controllers\OpenWindow\IOpenWindowController.cs" />
    <Compile Include="Controllers\OpenWindow\OpenWindowController.cs" />
    <Compile Include="Controllers\SettingsWindow\ISettingsWindowController.cs" />
    <Compile Include="Controllers\SettingsWindow\LayoutNamesProvider.cs" />
    <Compile Include="Controllers\SettingsWindow\SettingsWindowController.cs" />
    <Compile Include="Controllers\SettingsWindow\WorkspaceEditorController.cs" />
    <Compile Include="Controllers\Settings\Car\CarPropertiesArgs.cs" />
    <Compile Include="Controllers\Settings\Car\CarSettingsController.cs" />
    <Compile Include="Controllers\Settings\Car\CarPropertiesViewModel.cs" />
    <Compile Include="Controllers\Settings\Car\CarSettingsWindowViewModel.cs" />
    <Compile Include="Controllers\Settings\Car\ICarSettingsController.cs" />
    <Compile Include="Controllers\Settings\Car\LapCarSettingsViewModel.cs" />
    <Compile Include="Controllers\Settings\Car\WheelPropertiesViewModel.cs" />
    <Compile Include="Controllers\Settings\DefaultCarProperties\DefaultR3ECarSettingsRepository.cs" />
    <Compile Include="Controllers\Settings\DefaultCarProperties\IDefaultCarPropertiesProvider.cs" />
    <Compile Include="Controllers\Settings\DefaultCarProperties\R3EDefaultCarPropertiesProvider.cs" />
    <Compile Include="Controllers\Settings\ISettingsController.cs" />
    <Compile Include="Controllers\Settings\RequestedAction.cs" />
    <Compile Include="Controllers\Settings\SettingChangedArgs.cs" />
    <Compile Include="Controllers\Settings\SettingsController.cs" />
    <Compile Include="Controllers\Synchronization\DataPointSelectionSynchronization.cs" />
    <Compile Include="Controllers\Synchronization\Graphs\BusyStateEventArgs.cs" />
    <Compile Include="Controllers\Synchronization\Graphs\DistanceEventArgs.cs" />
    <Compile Include="Controllers\Synchronization\Graphs\DistanceRequestKind.cs" />
    <Compile Include="Controllers\Synchronization\Graphs\GraphViewSynchronization.cs" />
    <Compile Include="Controllers\Synchronization\Graphs\IGraphViewSynchronization.cs" />
    <Compile Include="Controllers\Synchronization\Graphs\PanEventArgs.cs" />
    <Compile Include="Controllers\Synchronization\Graphs\ScaleEventArgs.cs" />
    <Compile Include="Controllers\Synchronization\Graphs\SessionModifiedArgs.cs" />
    <Compile Include="Controllers\Synchronization\Graphs\TimeEventArgs.cs" />
    <Compile Include="Controllers\Synchronization\Graphs\TyreTempVisibilityArgs.cs" />
    <Compile Include="Controllers\Synchronization\Graphs\WheelVisibilityArgs.cs" />
    <Compile Include="Controllers\Synchronization\IDataPointSelectionSynchronization.cs" />
    <Compile Include="Controllers\Synchronization\ILapColorSynchronization.cs" />
    <Compile Include="Controllers\Synchronization\ILapStintSynchronization.cs" />
    <Compile Include="Controllers\Synchronization\ITelemetryViewsSynchronization.cs" />
    <Compile Include="Controllers\Synchronization\LapColorArgs.cs" />
    <Compile Include="Controllers\Synchronization\LapColorSynchronization.cs" />
    <Compile Include="Controllers\Synchronization\LapsSummaryArgs .cs" />
    <Compile Include="Controllers\Synchronization\LapsTelemetryArgs .cs" />
    <Compile Include="Controllers\Synchronization\LapStintArg.cs" />
    <Compile Include="Controllers\Synchronization\LapStintSynchronization.cs" />
    <Compile Include="Controllers\Synchronization\LapSummaryArgs.cs" />
    <Compile Include="Controllers\Synchronization\LapTelemetryArgs.cs" />
    <Compile Include="Controllers\Synchronization\TelemetrySessionArgs.cs" />
    <Compile Include="Controllers\Synchronization\TelemetrySnapshotArgs.cs" />
    <Compile Include="Controllers\Synchronization\TelemetryViewsSynchronization.cs" />
    <Compile Include="Controllers\Synchronization\TimedTelemetryArgs.cs" />
    <Compile Include="Controllers\TelemetryApplicationController.cs" />
    <Compile Include="Controllers\TelemetryLoad\DataFillers\IMissingTelemetryFiller.cs" />
    <Compile Include="Controllers\TelemetryLoad\DataFillers\SlipInformationFiller.cs" />
    <Compile Include="Controllers\TelemetryLoad\ITelemetryLoadController.cs" />
    <Compile Include="Controllers\TelemetryLoad\TelemetryLoadController.cs" />
    <Compile Include="AggregatedCharts\Histogram\Extractors\AbstractHistogramDataExtractor.cs" />
    <Compile Include="AggregatedCharts\Histogram\IWheelHistogramDataProvider.cs" />
    <Compile Include="DataAdapters\DownforceAdapter.cs" />
    <Compile Include="DataAdapters\DownforceChassisAdapter.cs" />
    <Compile Include="DataAdapters\IChassisQuantityAdapter.cs" />
    <Compile Include="DataAdapters\IQuantityAdapter.cs" />
    <Compile Include="DataAdapters\IWheelQuantityAdapter.cs" />
    <Compile Include="DataAdapters\TyreLoadAdapter.cs" />
    <Compile Include="LapAutoSelector\EmptyLapAutoSelector.cs" />
    <Compile Include="LapAutoSelector\ILapAutoSelector.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Repository\ITelemetryRepositoryFactory.cs" />
    <Compile Include="Repository\TelemetryRepositoryFactory.cs" />
    <Compile Include="Settings\DTO\AggregatedChartSettingsDto.cs" />
    <Compile Include="Settings\DTO\DefaultCarProperties\DefaultR3ECarProperties.cs" />
    <Compile Include="Settings\DTO\DefaultCarProperties\DefaultR3ECarsProperties.cs" />
    <Compile Include="Settings\DTO\GraphLocationKind.cs" />
    <Compile Include="Settings\DTO\GraphSettingsDto.cs" />
    <Compile Include="Settings\DTO\StintRenderingKind.cs" />
    <Compile Include="Settings\DTO\StintRenderingKindMap.cs" />
    <Compile Include="Settings\DTO\TelemetrySettingsDto.cs" />
    <Compile Include="Settings\DTO\XAxisKind.cs" />
    <Compile Include="Settings\ITelemetrySettingsRepository.cs" />
    <Compile Include="Settings\TelemetrySettingsRepository.cs" />
    <Compile Include="Settings\Workspace\BuildInChartSet.cs" />
    <Compile Include="Settings\Workspace\BuildInWorkspace.cs" />
    <Compile Include="Settings\Workspace\ChartSet.cs" />
    <Compile Include="Settings\Workspace\Workspace.cs" />
    <Compile Include="Settings\Workspace\WorkspaceExportDto.cs" />
    <Compile Include="TelemetryApplicationModule.cs" />
    <Compile Include="ViewModels\AggregatedCharts\AggregatedChartSelectorViewModel.cs" />
    <Compile Include="ViewModels\AggregatedCharts\Histogram\CamberHistogramChartViewModel.cs" />
    <Compile Include="ViewModels\AggregatedCharts\Histogram\CamberWheelsChartViewModel.cs" />
    <Compile Include="ViewModels\AggregatedCharts\Histogram\CamberStatsViewModel.cs" />
    <Compile Include="ViewModels\AggregatedCharts\Histogram\HistogramChartWithStatisticsViewModel.cs" />
    <Compile Include="ViewModels\AggregatedCharts\Histogram\HistogramSelection.cs" />
    <Compile Include="ViewModels\AggregatedCharts\Histogram\HistogramStatisticsViewModel.cs" />
    <Compile Include="ViewModels\AggregatedCharts\Histogram\SuspensionVelocityStatsViewModel.cs" />
    <Compile Include="ViewModels\AggregatedCharts\Histogram\SuspensionVelocityWheelsChartViewModel.cs" />
    <Compile Include="ViewModels\AggregatedCharts\Histogram\WheelsHistogramChartViewModel.cs" />
    <Compile Include="ViewModels\AggregatedCharts\IAggregatedChartSelectorViewModel.cs" />
    <Compile Include="ViewModels\AggregatedCharts\CompositeAggregatedChartsViewModel.cs" />
    <Compile Include="ViewModels\AggregatedCharts\ScatterPlot\LegendItemViewModel.cs" />
    <Compile Include="ViewModels\AggregatedCharts\ScatterPlot\LegendViewModel.cs" />
    <Compile Include="ViewModels\AggregatedCharts\ScatterPlot\ScatterPlot2YAxisChartViewModel.cs" />
    <Compile Include="ViewModels\AggregatedCharts\ScatterPlot\FilteredScatterPlotChartViewModel.cs" />
    <Compile Include="ViewModels\AggregatedCharts\SplitAggregatedChartViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\AbstractGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\AbstractSingleSeriesGraphViewModel.cs" />
    <Compile Include="ViewModels\AggregatedCharts\AbstractAggregatedChartViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\ChartWrapperViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\Chassis\AbstractChasisGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\Chassis\ChassisRideHeightGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\Chassis\FrontRearBrakesTemperatureChart.cs" />
    <Compile Include="ViewModels\GraphPanel\Chassis\FrontRearDownforceGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\Chassis\FrontRearTyreLoadsGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\CrossTyreLoadChartViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\DataExtractor\CompareToReferenceDataExtractor.cs" />
    <Compile Include="ViewModels\GraphPanel\DataExtractor\ISingleSeriesDataExtractor.cs" />
    <Compile Include="ViewModels\GraphPanel\DataExtractor\SimpleSingleSeriesDataExtractor.cs" />
    <Compile Include="ViewModels\AggregatedCharts\Histogram\HistogramChartViewModel.cs" />
    <Compile Include="ViewModels\AggregatedCharts\WheelsChartViewModel.cs" />
    <Compile Include="ViewModels\AggregatedCharts\Histogram\SuspensionVelocityHistogramChartViewModel.cs" />
    <Compile Include="ViewModels\AggregatedCharts\IAggregatedChartViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\DualSeries\AbstractDualSeriesGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\DualSeries\CombinedPedalsGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\DualSeries\FrontWheelSlip.cs" />
    <Compile Include="ViewModels\GraphPanel\DualSeries\FrontWheelsRps.cs" />
    <Compile Include="ViewModels\GraphPanel\DualSeries\RearWheelSlip.cs" />
    <Compile Include="ViewModels\GraphPanel\DualSeries\RearWheelsRps.cs" />
    <Compile Include="ViewModels\GraphPanel\FrontTyresSpeedDifference.cs" />
    <Compile Include="ViewModels\GraphPanel\Inputs\BrakeGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\Inputs\ClutchGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\EngineRpmGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\GearGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\HorizontalGGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\Inputs\SteeringAngleGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\Inputs\SteeringInputGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\LapTimeGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\LateralGGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\OverallDownForceGraphViewModel.cs" />
    <Compile Include="ViewModels\AggregatedCharts\ScatterPlot\ScatterPlotChartViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\RakeGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\RearTyresSpeedDifference.cs" />
    <Compile Include="ViewModels\GraphPanel\SpeedGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\Inputs\ThrottleGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\TurboBoostGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\Wheels\AbstractTyreTemperaturesViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\Wheels\AbstractWheelsGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\Wheels\BrakeTemperaturesGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\Wheels\CamberGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\Wheels\GraphDetailViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\Wheels\InsideOutsideTyreTempGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\Wheels\LapDetailViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\Wheels\LeftFrontTyreTempsGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\Wheels\LeftRearTyreTempsGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\Wheels\RideHeightGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\Wheels\RightFrontTyreTempsGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\Wheels\RightRearTyreTempsGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\Wheels\SuspensionTravelGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\Wheels\SuspensionVelocityGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\Wheels\TyreLoadGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\Wheels\TyrePressuresGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\Wheels\WheelRpsGraphViewModel.cs" />
    <Compile Include="AggregatedCharts\Histogram\HistogramBar.cs" />
    <Compile Include="AggregatedCharts\Histogram\Histogram.cs" />
    <Compile Include="ViewModels\GraphPanel\AbstractAverageValueGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\Wheels\WheelSlipGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\WorldYawGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\XGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\YawGraphViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\YGraphViewModel.cs" />
    <Compile Include="ViewModels\LoadedLapCache\ILoadedLapsCache.cs" />
    <Compile Include="ViewModels\LoadedLapCache\LoadedLapsCache.cs" />
    <Compile Include="ViewModels\MapView\PointsAreaArgs.cs" />
    <Compile Include="ViewModels\MapView\ShiftPointViewModel.cs" />
    <Compile Include="ViewModels\MapView\TrackMapWithCustomPathsViewModel.cs" />
    <Compile Include="ViewModels\OpenWindow\IOpenWindowSessionInformationViewModel.cs" />
    <Compile Include="ViewModels\OpenWindow\OpenWindowSessionInformationViewModel.cs" />
    <Compile Include="ViewModels\SettingsWindow\AggregatedChartSettingsViewModel.cs" />
    <Compile Include="ViewModels\SettingsWindow\IAggregatedChartSettingsViewModel.cs" />
    <Compile Include="ViewModels\SettingsWindow\GraphSettingsViewModel.cs" />
    <Compile Include="ViewModels\SettingsWindow\IGraphSettingsViewModel.cs" />
    <Compile Include="ViewModels\OpenWindow\IOpenWindowViewModel.cs" />
    <Compile Include="ViewModels\OpenWindow\OpenWindowViewModel.cs" />
    <Compile Include="ViewModels\SettingsWindow\TelemetrySettingsViewModel.cs" />
    <Compile Include="ViewModels\SettingsWindow\Workspace\ChartSetSummaryViewModel.cs" />
    <Compile Include="ViewModels\SettingsWindow\Workspace\WorkspacesSettingsViewModel.cs" />
    <Compile Include="ViewModels\SettingsWindow\Workspace\WorkspaceSettingViewModel.cs" />
    <Compile Include="ViewModels\SnapshotViewModel.cs" />
    <Compile Include="ViewModels\GraphPanel\IGraphViewModel.cs" />
    <Compile Include="ViewModels\ISnapshotViewModel.cs" />
    <Compile Include="ViewModels\IMainWindowViewModel.cs" />
    <Compile Include="ViewModels\MapView\ILapCustomPathsCollection.cs" />
    <Compile Include="ViewModels\MapView\IMapViewViewModel.cs" />
    <Compile Include="ViewModels\MapView\LapCustomPaths.cs" />
    <Compile Include="ViewModels\MapView\MapViewViewModel.cs" />
    <Compile Include="ViewModels\Replay\IReplayViewModel.cs" />
    <Compile Include="ViewModels\LapPicker\ILapSummaryViewModel.cs" />
    <Compile Include="ViewModels\LapPicker\LapSelectionViewModel.cs" />
    <Compile Include="ViewModels\LapPicker\LapSummaryViewModel.cs" />
    <Compile Include="ViewModels\MainWindowViewModel.cs" />
    <Compile Include="ViewModels\Replay\ReplayViewModel.cs" />
    <Compile Include="ViewModels\SnapshotSection\IPedalSectionViewModel.cs" />
    <Compile Include="ViewModels\SnapshotSection\ISnapshotSectionViewModel.cs" />
    <Compile Include="ViewModels\SnapshotSection\PedalSectionViewModel.cs" />
    <Compile Include="ViewModels\SnapshotSection\SnapshotSectionViewModel.cs" />
    <Compile Include="ViewModels\Workspace\WorkspaceViewModel.cs" />
    <Compile Include="Workspaces\Providers\BuildIn\AbstractWorkspaceProvider.cs" />
    <Compile Include="Workspaces\Providers\BuildIn\ChartSet\AbstractChartSetProvider.cs" />
    <Compile Include="Workspaces\Providers\BuildIn\ChartSet\AerodynamicsChartSetProvider.cs" />
    <Compile Include="Workspaces\Providers\BuildIn\ChartSet\BrakesChartSetProvider.cs" />
    <Compile Include="Workspaces\Providers\BuildIn\ChartSet\CompareChartSetProvider.cs" />
    <Compile Include="Workspaces\Providers\BuildIn\ChartSet\DifferentialChartSetProvider.cs" />
    <Compile Include="Workspaces\Providers\BuildIn\ChartSet\DriverChartSetProvider.cs" />
    <Compile Include="Workspaces\Providers\BuildIn\ChartSet\EngineChartSetProvider.cs" />
    <Compile Include="Workspaces\Providers\BuildIn\ChartSet\RideHeightChartSetProvider.cs" />
    <Compile Include="Workspaces\Providers\BuildIn\ChartSet\SteeringChartSetProvider.cs" />
    <Compile Include="Workspaces\Providers\BuildIn\ChartSet\SuspensionChartSetProvider.cs" />
    <Compile Include="Workspaces\Providers\BuildIn\ChartSet\TyresChartSetProvider.cs" />
    <Compile Include="Workspaces\Providers\BuildIn\DefaultWorkspaceProviderTemp.cs" />
    <Compile Include="Workspaces\Providers\BuildIn\DefaultWorkspaceProvider.cs" />
    <Compile Include="Workspaces\Providers\ChartSetProvider.cs" />
    <Compile Include="Workspaces\Providers\IBuildInChartSetProvider.cs" />
    <Compile Include="Workspaces\Providers\IBuildInWorkspaceProvider.cs" />
    <Compile Include="Workspaces\Providers\IChartSetProvider.cs" />
    <Compile Include="Workspaces\Providers\IWorkspaceProvider.cs" />
    <Compile Include="Workspaces\Providers\WorkspaceProvider.cs" />
    <Compile Include="Workspaces\WorkspaceTabItemsFactory.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\Applications\SimdataManagement\SimdataManagement.csproj">
      <Project>{8971F71E-CF2E-40F8-B881-3F45EB8ECC9B}</Project>
      <Name>SimdataManagement</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\Foundation\Contracts\Contracts.csproj">
      <Project>{55275247-8D2E-421F-AB35-4BA77449B05A}</Project>
      <Name>Contracts</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\Foundation\DataModel\DataModel.csproj">
      <Project>{30DEA773-F579-4A77-9C73-3D58C81612D0}</Project>
      <Name>DataModel</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\Foundation\SecondMonitor.ViewModels\SecondMonitor.ViewModels.csproj">
      <Project>{B43064B9-D120-4DD9-9902-E2B8F6006985}</Project>
      <Name>SecondMonitor.ViewModels</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\Foundation\WindowsControls\WindowsControls.csproj">
      <Project>{EA13AF3C-A4E0-4AD2-94AE-78006B04FC41}</Project>
      <Name>WindowsControls</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\TelemetryManagement\TelemetryManagement.csproj">
      <Project>{5271AFE9-29A9-4F65-AB04-58F93C72AD03}</Project>
      <Name>TelemetryManagement</Name>
      <Private>False</Private>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.Common.dll" />
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.Core.dll" />
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.CSharp.Analyzers.CodeFixes.dll" />
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.CSharp.Analyzers.dll" />
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.CSharp.dll" />
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.CSharp.Workspaces.dll" />
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.Workspaces.Common.dll" />
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.Workspaces.Core.dll" />
    <Analyzer Include="..\..\packages\StyleCop.Analyzers.1.1.118\analyzers\dotnet\cs\StyleCop.Analyzers.CodeFixes.dll" />
    <Analyzer Include="..\..\packages\StyleCop.Analyzers.1.1.118\analyzers\dotnet\cs\StyleCop.Analyzers.dll" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PostBuildEvent>copy /Y "$(SolutionDir)Artifacts\Data\R3E\R3EDefaultProperties.xml" "$(TargetDir)"</PostBuildEvent>
  </PropertyGroup>
</Project>